# JCERandom (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.random
Class JCERandom

    java.lang.Object
      net.schmizz.sshj.transport.random.JCERandom

All Implemented Interfaces:
  Random

    public class JCERandom

extends Object
implements Random

A `Random` implementation using the built-in `SecureRandom` PRNG.

Nested Class Summary
`static class` `JCERandom.Factory` Named factory for the JCE `Random`

Constructor Summary
`JCERandom()`

Method Summary
`void` `fill(byte[] foo, int start, int len)` Fill the given byte-array with random bytes from this PRNG.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCERandom

    public JCERandom()

Method Detail

### fill

    public void fill(byte[] foo,
                     int start,
                     int len)

  Fill the given byte-array with random bytes from this PRNG.

  Specified by:
    `fill` in interface `Random`
  Parameters:
    `foo` - the byte-array
    `start` - the offset to start at
    `len` - the number of bytes to fill

Copyright © 2009-2011. All Rights Reserved.